@charset "utf-8";

/* フェードイン */
.fadeIn {
    opacity: 0;
    transition: 2.5s;
}

.fadeIn.is-show {
    opacity: 1;
}

.btn {
    display: block;
    width: 294px;
    background: #fff;
    padding: 22px 0;
    text-align: center;
    font-family: "futura-100-book", sans-serif;
    font-size: 18px;
    font-weight: 400;
    font-style: normal;
    letter-spacing: 0.1em;
    border-radius: 32px;
    border: 1px solid #373741;
}

.btn:hover {
    opacity: 0.6;
}

/* 背景 */
body {
    position: relative;
}

.bg {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: -1;
}

.bg_video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
}

/* ヘッダー */

.pc_nav ul {
    display: flex;
    gap: 4%;
}

.pc_nav ul li {
    width: 125px;
    font-family: "futura-100-book", sans-serif;
    font-size: 14px;
    font-weight: 400;
    font-style: normal;
    letter-spacing: 0.1em;
    text-align: center;
}


/* 手書きロゴアニメーション */

#text {
    mask: url(#mask);
}

.handwriting {
    width: 23%;
    height: auto;
    padding-bottom: 66px;
}

.handwriting_text {
    fill: #f0b822;
}


.handwriting_mask_line {
    fill: none;
    stroke: #fff;
    stroke-width: 21;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke-dasharray: 2000px;
    animation: handwriting 3s linear;
    transform: translateX(-12px);
}


@keyframes handwriting {
    0% {
        stroke-dashoffset: 2000px;
    }

    100% {
        stroke-dashoffset: 0;
    }
}

/* ロゴセクション */
#logo {
    max-width: 1120px;
    margin: 0 auto;
    margin-top: 293px;
    margin-bottom: 260px;
    padding: 0 20px;
}

h2 {
    text-align: center;
    font-family: "futura-100-book", sans-serif;
    font-size: 28px;
    letter-spacing: 0.1em;
    font-weight: 400;
    font-style: normal;
    padding-bottom: 120px;
}

h3 {
    text-align: center;
    font-size: 22px;
    letter-spacing: 0.1em;
    font-weight: 500;
    padding-bottom: 112px;
}

.logo_box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1%;
}

.logo_box p {
    writing-mode: vertical-rl;
    font-size: 18px;
    line-height: 2;
    letter-spacing: 0.12em;
}

.logo_box img {
    width: 390px;
    padding-bottom: 66px;
}

.logo_info p {
    font-size: 18px;
    line-height: 2.5;
    letter-spacing: 0.12em;
    text-align: center;
    padding-top: 45px;
}

.circle {
    display: inline-block;
    width: 88px;
    height: 88px;
    border-radius: 50%;
    background: #fff;
    text-align: center;
    line-height: 88px;
    font-size: 18px;
    letter-spacing: 0.12em;
    cursor: none;
}

#logo_sp {
    display: none;
}

/* 横線のアニメーション */

.inview_horizontalLine {
    width: 15%;
    height: 2px;
    position: relative;
}

.horizontalline {
    width: 0;
    height: 2px;
    background-color: #f0b822;
    transition: width 1s ease-out;
    /* 1秒かけて伸びる */
    position: absolute;
    top: 0;
}

.is-show .horizontalline {
    width: 100%;
    /* 最終的な長さ */
}

.horizontalline_left {
    width: 0;
    height: 2px;
    background-color: #f0b822;
    transition: width 1s ease-out;
    /* 1秒かけて伸びる */
    position: absolute;
    top: 0;
    right: 0;
}

.is-show .horizontalline_left {
    width: 100%;
}

.inview_verticalLine_logo {
    margin: 0 auto;
    width: 2px;
    height: 120px;
    position: relative;
}

.verticalline_logo {
    width: 2px;
    height: 0;
    background-color: #f0b822;
    transition: height 1s ease-out;
    /* 1秒かけて伸びる */
    position: absolute;
    top: 0;
}

.is-show .verticalline_logo {
    height: 120px;
    /* 最終的な長さ */
}

/* アバウトミーセクション */

#about_me_pc {
    display: flex;
    max-width: 1440px;
    justify-content: space-between;
    margin: 0 auto;
    padding: 0 20px;
    align-items: center;
}

/* くるくる回るテキスト */

.block {
    /* // 全体の大きさと配置 */
    width: 500px;
    height: 500px;
    position: relative;
    top: 0;
    left: 0;

}

.circleText {
    overflow: visible;
    animation: rotation 25s linear infinite;
}

.circleText__circle {
    fill: none;
}

.circleText__text {
    fill: #373741;
    font-size: 17px;
    letter-spacing: 0.12em;
}


@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.block img {
    width: 420px;
    position: absolute;
    top: 40px;
    left: 40px;
}

.about_me_title {
    width: 40%;
}

.about_me_title h2 {
    text-align: start;
    letter-spacing: 0.1em;
    padding-bottom: 70px;
}

.about_me_title h3 {
    text-align: left;
    font-size: 22px;
    letter-spacing: 0.1em;
    padding-bottom: 88px;
}

.about_me_text p {
    font-size: 18px;
    line-height: 2.5;
    letter-spacing: 0.12em;
}

#about_me_sp {
    display: none;
}

/* 得意なことセクション */
#forte {
    max-width: 1120px;
    padding: 0 20px;
    margin: 216px auto 0;
}

#forte h2 {
    font-family: "游ゴシック体", YuGothic, "游ゴシック", "Yu Gothic", "メイリオ",
        "Hiragino Kaku Gothic ProN", "Hiragino Sans", sans-serif;
    font-weight: 400;
    font-size: 28px;
    letter-spacing: 0.1em;
    padding-bottom: 88px;
    text-align: left;
}

.forte_container {
    width: 65%;
    padding-bottom: 146px;
}

.forte_container h3 {
    text-align: left;
    font-size: 22px;
    line-height: 2.5;
    letter-spacing: 0.12em;
    padding-bottom: 50px;
}

.forte_container p {
    text-align: left;
    font-size: 18px;
    line-height: 2.5;
    letter-spacing: 0.12em;
}



/* SKILLSセクション */

#skills {
    max-width: 1235px;
    margin: 0 auto;
    margin-top: 15px;
}

#skills h2 {
    text-align: center;
    padding-bottom: 137px;
}

.skills_container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px 120px 20px;
    /* position: relative; */
}

#skills img {
    width: 140px;
    display: block;
    margin: 0 auto;
    padding-bottom: 50px;
}

#skills h3 {
    padding-bottom: 46px;
    text-align: center;
    font-family: "futura-100-book", sans-serif;
    font-size: 24px;
    font-weight: 400;
    font-style: normal;
    letter-spacing: 0.075em;
}

.skills_container p {
    width: 285px;
    font-size: 16px;
    line-height: 2;
    letter-spacing: 0.1em;
}

/* 縦線のアニメーション */

.inview_verticalLine {
    width: 2px;
    height: 432px;
    position: relative;
}

.verticalline {
    width: 2px;
    height: 0;
    background-color: #f0b822;
    transition: height 2s ease-out;
    /* 1秒かけて伸びる */
    position: absolute;
    top: 0;
}

.is-show .verticalline {
    height: 432px;
    /* 最終的な長さ */
}

/* howa designセクション */
#howa {
    max-width: 1120px;
    margin: 293px auto;
    padding: 0 20px;
}

.howa_info {
    width: 70%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 0;
}

.right {
    width: 370px;
    font-size: 18px;
    line-height: 2.5;
    letter-spacing: 0.12em;
    text-align: left;
}


.left {
    padding-left: 30px;
    font-size: 18px;
    line-height: 2.5;
    letter-spacing: 0.12em;
}

.howa_info_btn a {
    margin-top: 38px;
}

.howa_info_btn {
    width: 100%;
    text-align: center;
    padding: 80px 0;
}

.howa_info_btn a {
    margin: 0 auto;
    margin-top: 64px;
}

/* ブレイクポイント1 */
/* ハンバーガーメニューのみになる時 */
@media screen and (max-width:1023px) {

    .pc_nav {
        display: none;
    }

    .header_logo {
        width: 80px;
    }

    .intro {
        margin: 0 auto;
        padding-top: 160px;
        padding-bottom: 164px;
    }

    .intro_ja p {
        font-size: 18px;
    }

    .intro_en p {
        padding-top: 34px;
        font-size: 14px;
        font-family: "futura-100-book", sans-serif;
        font-weight: 400;
        font-style: normal;
        letter-spacing: 0.1em;
    }

    h2 {
        font-family: "futura-100", sans-serif;
        font-size: 26px;
        font-weight: 500;
    }

    h3 {
        font-size: 24px;
    }

    .btn {
        display: block;
        width: 250px;
        background: #fff;
        padding: 23px 0;
        text-align: center;
        font-family: "futura-100-book", sans-serif;
        font-size: 15px;
        font-weight: 400;
        font-style: normal;
        letter-spacing: 0.1em;
        border-radius: 32px;
        border: 1px solid #373741;
        transition: all .2s
    }

    /* logoセクション縦並び */
    #logo {
        display: none;
    }

    #logo_sp {
        display: block;
        max-width: 100%;
        margin-top: 160px;
        margin-bottom: 189px;
        padding: 0 20px;
    }

    #logo h2 {
        padding-bottom: 48px;
    }

    #logo h3 {
        font-size: 20px;
        padding-bottom: 76px;
    }

    .logo_box_container {
        width: 228px;
        margin: 212px auto 212px;
        position: relative;
    }

    .logo_box_fuwa {
        display: flex;
        justify-content: flex-end;
        gap: 8px;
        align-items: end;
        position: absolute;
        left: 50%;
        top: -110%;
    }

    .logo_box_howa {
        display: flex;
        justify-content: flex-start;
        gap: 8px;
        align-items: baseline;
        position: absolute;
        right: 50%;
        top: 130%;
    }

    .logo_box_text {
        width: 88px;
    }

    .polyline {
        transform: rotate(270deg);
        stroke-dasharray: 2000;
        stroke-dashoffset: 2000;
    }

    .polyline_left {
        transform: rotate(90deg);
        stroke-dasharray: 2000;
        stroke-dashoffset: 2000;
    }

    .is-show .polyline,
    .is-show .polyline_left {
        -webkit-animation: drawing 5s linear forwards;
        animation: drawing 7s linear forwards;
    }

    @keyframes drawing {
        0% {
            stroke-dashoffset: 2000;
        }

        100% {
            stroke-dashoffset: 0;
        }
    }

    .logo_box_text p {
        writing-mode: vertical-rl;
        font-size: 14px;
        margin: 0 auto;
        padding: 8px 0;
    }

    #logo_sp img {
        display: block;

    }

    .logo_info p {
        font-size: 18px;
        line-height: 2.5;
        letter-spacing: 0.12em;
        text-align: center;
        padding-top: 45px;
    }

    .circle {
        display: inline-block;
        width: 88px;
        height: 88px;
        border-radius: 50%;
        background: #fff;
        text-align: center;
        line-height: 88px;
        font-size: 18px;
        letter-spacing: 0.12em;
        cursor: none;
    }

    /* 横線のアニメーション */

    .inview_horizontalLine {
        width: 15%;
        height: 2px;
        position: relative;
    }

    .horizontalline {
        width: 0;
        height: 2px;
        background-color: #f0b822;
        transition: width 1s ease-out;
        /* 1秒かけて伸びる */
        position: absolute;
        top: 0;
    }

    .is-show .horizontalline {
        width: 100%;
        /* 最終的な長さ */
    }

    .horizontalline_left {
        width: 0;
        height: 2px;
        background-color: #f0b822;
        transition: width 1s ease-out;
        /* 1秒かけて伸びる */
        position: absolute;
        top: 0;
        right: 0;
    }

    .is-show .horizontalline_left {
        width: 100%;
    }

    .inview_verticalLine_logo {
        margin: 0 auto;
        width: 2px;
        height: 120px;
        position: relative;
    }

    .verticalline_logo {
        width: 2px;
        height: 0;
        background-color: #f0b822;
        transition: height 1s ease-out;
        /* 1秒かけて伸びる */
        position: absolute;
        top: 0;
    }

    .is-show .verticalline_logo {
        height: 120px;
        /* 最終的な長さ */
    }

    /* アバウトセクション縦並び */
    #about_me_pc {
        display: none;
    }

    #about_me_sp {
        display: block;
        max-width: 100%;
        padding: 0 20px;
    }

    .about_me_title {
        width: 100%;
    }

    .about_me_title h2 {
        text-align: center;
        padding-bottom: 64px;
    }

    .about_me_title h3 {
        text-align: center;
        padding-bottom: 128px;
    }

    .about_me_text {
        width: 610px;
        margin: 0 auto;
    }

    .about_me_text p {
        font-size: 16px;
    }

    .block {
        margin: 0 auto;
        padding-bottom: 80px;
    }

    .circleText__text {
        font-size: 14px;
    }

    /* 強み */

    #forte {
        max-width: 100%;
        margin: 184px auto 0;
    }

    #forte h2 {
        font-size: 26px;
        padding-bottom: 78px;
        text-align: center;
    }

    .forte_container {
        width: 610px;
        padding-bottom: 92px;
        margin: 0 auto;
    }

    .forte_container h3 {
        text-align: center;
        font-size: 20px;
        padding-bottom: 43px;
    }

    .forte_container p {
        font-size: 16px;
    }

    /* skills縦並び */

    #skills {
        max-width: 100%;
        margin: 0 auto;
        margin-top: 92px;
    }

    .skills_container {
        flex-direction: column;
        gap: 64px;
        padding: 0 20px 184px 20px;
    }

    #skills h2 {
        text-align: center;
        padding-bottom: 134px;
    }

    #skills img {
        width: 77px;
        display: block;
        margin: 0 auto;
        padding-bottom: 36px;
    }

    #skills h3 {
        padding-bottom: 19px;
        text-align: center;
        letter-spacing: 0.1em;
    }

    .skills_container p {
        font-size: 14px;
    }

    .inview_verticalLine {
        width: 335px;
        height: 2px;
        position: relative;
    }

    .verticalline {
        width: 0;
        height: 2px;
        background-color: #f0b822;
        transition: width 2s ease-out;
        /* 1秒かけて伸びる */
        position: absolute;
        top: 0;
    }

    .is-show .verticalline {
        width: 335px;
        height: 2px
            /* 最終的な長さ */
    }

    .line_anime_pc_service_works {
        width: 128px;
        padding-bottom: 10px;
    }

    /* howa インフォ */

    #howa {
        max-width: 100%;
        margin: 0 auto;
        padding: 0 20px;
    }

    .howa_info {
        width: 100%;
        padding: 20px 0;
    }

    .right {
        font-size: 16px;
    }


    .left {
        font-size: 16px;
    }

}


/* ブレイクポイント２ */

@media screen and (max-width:767px) {

    h2 {
        font-family: "futura-100", sans-serif;
        font-size: 22px;
        font-weight: 500;
    }

    h3 {
        font-size: 20px;
    }

    .logo_box_text {
        width: 60px;
    }

    .logo_box_text p {
        writing-mode: vertical-rl;
        font-size: 14px;
        margin: 0 auto;
        padding: 8px 0;
    }

    #logo_sp img {
        display: block;

    }

    .logo_info p {
        font-size: 14px;
        line-height: 2.5;
        letter-spacing: 0.12em;
        text-align: center;
        padding-top: 45px;
    }

    .circle {
        display: inline-block;
        width: 60px;
        height: 60px;
        border-radius: 50%;
        background: #fff;
        text-align: center;
        line-height: 60px;
        font-size: 16px;
        letter-spacing: 0.12em;
        cursor: none;
    }

    .block {
        /* // 全体の大きさと配置 */
        width: 280px;
        height: 280px;
        margin: 0 auto;
        position: relative;
        top: 0;
        left: 0;
        padding-bottom: 80px;
    }

    .circleText__text {
        font-size: 13px;
        letter-spacing: 0.1em;
    }

    .block img {
        width: 253px;
        position: absolute;
        top: 13px;
        left: 13px;
    }

    .about_me_text {
        width: 100%;
    }

    .about_me_text p {
        font-size: 14px;
    }

    /* 強み */
    #forte h2 {
        font-size: 20px;
    }

    .forte_container {
        width: 100%;
    }

    .forte_container h3 {
        text-align: center;
        font-size: 14px;
        line-height: 2.5;
        letter-spacing: 0.1em;
        padding-bottom: 43px;
        font-weight: 600;
    }

    .forte_container p {
        font-size: 14px;
    }

    /* ホワ */
    .howa_info {
        width: 100%;
        padding: 11px 0;
    }

    .right {
        width: 60%;
        font-size: 14px;
    }


    .left {
        font-size: 14px;
        padding-left: 0;
    }

    .howa_info_btn a {
        margin-top: 22px;
    }

    .howa_info_btn {
        width: 100%;
        text-align: center;
        padding: 64px 0 0 0;
    }

    .howa_info_btn a {
        margin: 0 auto;
        margin-top: 48px;
    }
}